{
  "codeName" : "Simple",
  "controlType" : "FORM",
  "getCreatePSControlAction" : {
    "modelref" : true,
    "id" : "create",
    "actionName" : "Create",
    "actionType" : "DEACTION",
    "dataAccessAction" : "CREATE",
    "name" : "create",
    "getPSAppDEMethod" : {
      "modelref" : true,
      "id" : "Create"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
    }
  },
  "defaultLabelWidth" : 130,
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book/PSFORMS/Simple.json",
  "getGetDraftFromPSControlAction" : {
    "modelref" : true,
    "id" : "loaddraftfrom",
    "actionName" : "GETDRAFTFROM",
    "actionType" : "DEACTION",
    "dataAccessAction" : "CREATE",
    "name" : "loaddraftfrom",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
    }
  },
  "getGetDraftPSControlAction" : {
    "modelref" : true,
    "id" : "loaddraft",
    "actionName" : "GetDraft",
    "actionType" : "DEACTION",
    "dataAccessAction" : "CREATE",
    "name" : "loaddraft",
    "getPSAppDEMethod" : {
      "modelref" : true,
      "id" : "GetDraft"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
    }
  },
  "getGetPSControlAction" : {
    "modelref" : true,
    "id" : "load",
    "actionName" : "Get",
    "actionType" : "DEACTION",
    "dataAccessAction" : "READ",
    "name" : "load",
    "getPSAppDEMethod" : {
      "modelref" : true,
      "id" : "Get"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
    }
  },
  "logicName" : "简单表单",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
  },
  "getPSDEFormItemUpdates" : [ {
    "codeName" : "test1",
    "name" : "test1",
    "getPSAppDEMethod" : {
      "modelref" : true,
      "id" : "Test1"
    }
  } ],
  "getPSDEFormItems" : [ {
    "id" : "srfupdatedate",
    "hidden" : true,
    "dataType" : 5,
    "getPSAppDEField" : {
      "name" : "UPDATEDATE",
      "codeName" : "UpdateDate"
    }
  }, {
    "id" : "srforikey",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "srfkey",
    "hidden" : true,
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "BOOKID",
      "codeName" : "BookId"
    }
  }, {
    "id" : "srfmajortext",
    "hidden" : true,
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "BOOKNAME",
      "codeName" : "BookName"
    }
  }, {
    "id" : "srftempmode",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "srfuf",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "srfdeid",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "srfsourcekey",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "bookname",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "BOOKNAME",
      "codeName" : "BookName"
    }
  }, {
    "id" : "field9",
    "dataType" : 21,
    "getPSAppDEField" : {
      "name" : "FIELD9",
      "codeName" : "Field9"
    }
  }, {
    "id" : "type",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "TYPE",
      "codeName" : "Type"
    }
  }, {
    "id" : "field24",
    "dataType" : 21,
    "getPSAppDEField" : {
      "name" : "FIELD24",
      "codeName" : "Field24"
    }
  }, {
    "id" : "field",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "FIELD",
      "codeName" : "Field"
    }
  }, {
    "id" : "field36",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "FIELD36",
      "codeName" : "Field36"
    }
  }, {
    "id" : "field2",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "FIELD2",
      "codeName" : "Field2"
    }
  }, {
    "id" : "field19",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "FIELD19",
      "codeName" : "Field19"
    }
  }, {
    "id" : "field41",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "FIELD41",
      "codeName" : "Field41"
    }
  }, {
    "id" : "field14",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "FIELD14",
      "codeName" : "Field14"
    }
  }, {
    "id" : "end",
    "dataType" : 5,
    "getPSAppDEField" : {
      "name" : "END",
      "codeName" : "End"
    }
  }, {
    "id" : "field15",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "FIELD15",
      "codeName" : "Field15"
    }
  }, {
    "id" : "field30",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "FIELD30",
      "codeName" : "Field30"
    }
  }, {
    "id" : "field32",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "FIELD32",
      "codeName" : "Field32"
    }
  }, {
    "id" : "field28",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "FIELD28",
      "codeName" : "Field28"
    }
  }, {
    "id" : "createman",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "CREATEMAN",
      "codeName" : "CreateMan"
    }
  }, {
    "id" : "createdate",
    "dataType" : 5,
    "getPSAppDEField" : {
      "name" : "CREATEDATE",
      "codeName" : "CreateDate"
    }
  }, {
    "id" : "updateman",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "UPDATEMAN",
      "codeName" : "UpdateMan"
    }
  }, {
    "id" : "updatedate",
    "dataType" : 5,
    "getPSAppDEField" : {
      "name" : "UPDATEDATE",
      "codeName" : "UpdateDate"
    }
  }, {
    "id" : "bookid",
    "hidden" : true,
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "BOOKID",
      "codeName" : "BookId"
    }
  } ],
  "getPSDEFormPages" : [ {
    "caption" : "基本信息",
    "codeName" : "formpage1",
    "detailStyle" : "DEFAULT",
    "detailType" : "FORMPAGE",
    "name" : "formpage1",
    "getPSDEFormDetails" : [ {
      "caption" : "书基本信息",
      "codeName" : "group1",
      "detailStyle" : "DEFAULT",
      "detailType" : "GROUPPANEL",
      "name" : "group1",
      "getPSDEFormDetails" : [ {
        "caption" : "书名称",
        "codeName" : "bookname",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "bookname",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "BOOKNAME",
          "codeName" : "BookName"
        },
        "getPSEditor" : {
          "editorType" : "TEXTBOX",
          "maxLength" : 200,
          "name" : "bookname"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "allowEmpty" : true,
        "showCaption" : true
      }, {
        "caption" : "标识属性",
        "codeName" : "field9",
        "dataType" : 21,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "itemHeight" : 200.0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "field9",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "FIELD9",
          "codeName" : "Field9"
        },
        "getPSEditor" : {
          "editorHeight" : 200.0,
          "editorParams" : {
            "HEIGHT" : "200"
          },
          "editorType" : "TEXTAREA_10",
          "maxLength" : 1048576,
          "name" : "field9",
          "showMaxLength" : true
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "allowEmpty" : true,
        "showCaption" : true
      }, {
        "caption" : "类型",
        "codeName" : "type",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "type",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "TYPE",
          "codeName" : "Type"
        },
        "getPSDEFormItemUpdate" : {
          "modelref" : true,
          "id" : "test1"
        },
        "getPSEditor" : {
          "editorType" : "RADIOBUTTONLIST",
          "name" : "type",
          "getPSAppCodeList" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/ModelRepository__CodeList44.json"
          }
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "allowEmpty" : true,
        "needCodeListConfig" : true,
        "showCaption" : true
      }, {
        "caption" : "文本属性",
        "codeName" : "field24",
        "dataType" : 21,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "itemHeight" : 200.0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "field24",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "FIELD24",
          "codeName" : "Field24"
        },
        "getPSDEFormItemUpdate" : {
          "modelref" : true,
          "id" : "test1"
        },
        "getPSEditor" : {
          "editorHeight" : 200.0,
          "editorParams" : {
            "HEIGHT" : "200"
          },
          "editorType" : "TEXTAREA_10",
          "maxLength" : 1048576,
          "name" : "field24",
          "showMaxLength" : true
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "allowEmpty" : true,
        "showCaption" : true
      }, {
        "caption" : "内容属性",
        "codeName" : "field",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "itemHeight" : 200.0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "field",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "FIELD",
          "codeName" : "Field"
        },
        "getPSEditor" : {
          "editorHeight" : 200.0,
          "editorParams" : {
            "HEIGHT" : "200"
          },
          "editorType" : "TEXTAREA_10",
          "maxLength" : 2000,
          "name" : "field",
          "showMaxLength" : true
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "allowEmpty" : false,
        "showCaption" : true
      }, {
        "caption" : "提示属性",
        "codeName" : "field36",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "field36",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "FIELD36",
          "codeName" : "Field36"
        },
        "getPSEditor" : {
          "editorType" : "TEXTBOX",
          "maxLength" : 100,
          "name" : "field36"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "allowEmpty" : true,
        "showCaption" : true
      }, {
        "caption" : "图标属性",
        "codeName" : "field2",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "field2",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "FIELD2",
          "codeName" : "Field2"
        },
        "getPSEditor" : {
          "editorType" : "TEXTBOX",
          "maxLength" : 100,
          "name" : "field2"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "allowEmpty" : true,
        "showCaption" : true
      }, {
        "caption" : "样式表属性",
        "codeName" : "field19",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "field19",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "FIELD19",
          "codeName" : "Field19"
        },
        "getPSEditor" : {
          "editorType" : "TEXTBOX",
          "maxLength" : 100,
          "name" : "field19"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "allowEmpty" : true,
        "showCaption" : true
      }, {
        "caption" : "字体颜色属性",
        "codeName" : "field41",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "field41",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "FIELD41",
          "codeName" : "Field41"
        },
        "getPSEditor" : {
          "editorType" : "TEXTBOX",
          "maxLength" : 100,
          "name" : "field41"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "allowEmpty" : true,
        "showCaption" : true
      }, {
        "caption" : "背景颜色属性",
        "codeName" : "field14",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "field14",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "FIELD14",
          "codeName" : "Field14"
        },
        "getPSEditor" : {
          "editorType" : "TEXTBOX",
          "maxLength" : 100,
          "name" : "field14"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "allowEmpty" : true,
        "showCaption" : true
      }, {
        "caption" : "结束时间",
        "codeName" : "end",
        "dataType" : 5,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "itemWidth" : 290.0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "end",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "END",
          "codeName" : "End"
        },
        "getPSEditor" : {
          "dateTimeFormat" : "YYYY-MM-DD HH:mm:ss",
          "editorParams" : {
            "TIMEFMT" : "YYYY-MM-DD HH:mm:ss"
          },
          "editorType" : "DATEPICKER",
          "editorWidth" : 160.0,
          "name" : "end"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "valueFormat" : "YYYY-MM-DD HH:mm:ss",
        "allowEmpty" : true,
        "showCaption" : true
      }, {
        "caption" : "值项",
        "codeName" : "field15",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "field15",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "FIELD15",
          "codeName" : "Field15"
        },
        "getPSEditor" : {
          "editorType" : "SPAN",
          "name" : "field15",
          "enableLinkView" : false
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "allowEmpty" : true,
        "showCaption" : true
      }, {
        "caption" : "数据选择",
        "codeName" : "field30",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "field30",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "FIELD30",
          "codeName" : "Field30"
        },
        "getPSEditor" : {
          "editorParams" : {
            "AC" : "TRUE",
            "PICKUPVIEW" : "TRUE"
          },
          "editorType" : "PICKER",
          "handlerType" : "PickupText",
          "name" : "field30",
          "getPSAppDEACMode" : {
            "modelref" : true,
            "id" : "Default"
          },
          "getPSAppDEDataSet" : {
            "modelref" : true,
            "id" : "FetchDefault"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/RawMaterial.json"
          },
          "getPSEditorItems" : [ {
            "name" : "field15"
          } ],
          "valueItemName" : "field15",
          "enableAC" : true,
          "enablePickupView" : true,
          "forceSelection" : true,
          "showTrigger" : true,
          "singleSelect" : true
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "valueItemName" : "field15",
        "allowEmpty" : true,
        "showCaption" : true
      }, {
        "caption" : "值项2",
        "codeName" : "field32",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "field32",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "FIELD32",
          "codeName" : "Field32"
        },
        "getPSEditor" : {
          "editorType" : "SPAN",
          "name" : "field32",
          "enableLinkView" : false
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "allowEmpty" : true,
        "showCaption" : true
      }, {
        "caption" : "数据选择下拉",
        "codeName" : "field28",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "field28",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "FIELD28",
          "codeName" : "Field28"
        },
        "getPSEditor" : {
          "editorParams" : {
            "AC" : "TRUE",
            "TRIGGER" : "TRUE",
            "PICKUPVIEW" : "FALSE"
          },
          "editorType" : "PICKEREX_TRIGGER",
          "handlerType" : "PickupText",
          "name" : "field28",
          "getPSAppDEACMode" : {
            "modelref" : true,
            "id" : "Default"
          },
          "getPSAppDEDataSet" : {
            "modelref" : true,
            "id" : "FetchDefault"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
          },
          "getPSEditorItems" : [ {
            "name" : "field32"
          } ],
          "valueItemName" : "field32",
          "enableAC" : true,
          "enablePickupView" : false,
          "forceSelection" : true,
          "showTrigger" : true,
          "singleSelect" : true
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "valueItemName" : "field32",
        "allowEmpty" : true,
        "showCaption" : true
      } ],
      "getPSLayout" : {
        "childColMD" : 24,
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "infoGroupMode" : false,
      "showCaption" : true
    }, {
      "caption" : "书标识",
      "codeName" : "bookid",
      "dataType" : 25,
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMITEM",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "labelPos" : "LEFT",
      "labelWidth" : 130,
      "name" : "bookid",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "BOOKID",
        "codeName" : "BookId"
      },
      "getPSEditor" : {
        "editorType" : "HIDDEN",
        "name" : "bookid"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "allowEmpty" : true,
      "hidden" : true
    } ],
    "getPSLayout" : {
      "childColMD" : 24,
      "columnCount" : 24,
      "layout" : "TABLE_24COL"
    },
    "infoGroupMode" : false
  }, {
    "caption" : "其它",
    "codeName" : "formpage2",
    "detailStyle" : "DEFAULT",
    "detailType" : "FORMPAGE",
    "name" : "formpage2",
    "getPSDEFormDetails" : [ {
      "caption" : "操作信息",
      "codeName" : "group2",
      "detailStyle" : "DEFAULT",
      "detailType" : "GROUPPANEL",
      "name" : "group2",
      "getPSDEFormDetails" : [ {
        "caption" : "建立人",
        "codeName" : "createman",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 3,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "createman",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "CREATEMAN",
          "codeName" : "CreateMan"
        },
        "getPSEditor" : {
          "editorStyle" : "CLIP_BOARD_SPAN",
          "editorType" : "SPAN",
          "name" : "createman",
          "getPSAppCodeList" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/SysOperator.json"
          },
          "getPSSysPFPlugin" : {
            "pluginType" : "EDITOR_CUSTOMSTYLE",
            "pluginCode" : "CLIP_BOARD_SPAN",
            "runtimeObject" : true
          },
          "enableLinkView" : false
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "allowEmpty" : true,
        "convertToCodeItemText" : true,
        "showCaption" : true
      }, {
        "caption" : "建立时间",
        "codeName" : "createdate",
        "dataType" : 5,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 3,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "createdate",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "CREATEDATE",
          "codeName" : "CreateDate"
        },
        "getPSEditor" : {
          "editorStyle" : "CLIP_BOARD_SPAN",
          "editorType" : "SPAN",
          "name" : "createdate",
          "getPSSysPFPlugin" : {
            "pluginType" : "EDITOR_CUSTOMSTYLE",
            "pluginCode" : "CLIP_BOARD_SPAN",
            "runtimeObject" : true
          },
          "enableLinkView" : false
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "valueFormat" : "YYYY-MM-DD HH:mm:ss",
        "allowEmpty" : true,
        "showCaption" : true
      }, {
        "caption" : "更新人",
        "codeName" : "updateman",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 3,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "updateman",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "UPDATEMAN",
          "codeName" : "UpdateMan"
        },
        "getPSEditor" : {
          "editorStyle" : "CLIP_BOARD_SPAN",
          "editorType" : "SPAN",
          "name" : "updateman",
          "getPSAppCodeList" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/SysOperator.json"
          },
          "getPSSysPFPlugin" : {
            "pluginType" : "EDITOR_CUSTOMSTYLE",
            "pluginCode" : "CLIP_BOARD_SPAN",
            "runtimeObject" : true
          },
          "enableLinkView" : false
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "allowEmpty" : true,
        "convertToCodeItemText" : true,
        "showCaption" : true
      }, {
        "caption" : "更新时间",
        "codeName" : "updatedate",
        "dataType" : 5,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 3,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "updatedate",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "UPDATEDATE",
          "codeName" : "UpdateDate"
        },
        "getPSEditor" : {
          "editorStyle" : "CLIP_BOARD_SPAN",
          "editorType" : "SPAN",
          "name" : "updatedate",
          "getPSSysPFPlugin" : {
            "pluginType" : "EDITOR_CUSTOMSTYLE",
            "pluginCode" : "CLIP_BOARD_SPAN",
            "runtimeObject" : true
          },
          "enableLinkView" : false
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "valueFormat" : "YYYY-MM-DD HH:mm:ss",
        "allowEmpty" : true,
        "showCaption" : true
      } ],
      "getPSLayout" : {
        "childColMD" : 24,
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "infoGroupMode" : false,
      "showCaption" : true
    } ],
    "getPSLayout" : {
      "childColMD" : 24,
      "columnCount" : 24,
      "layout" : "TABLE_24COL"
    },
    "infoGroupMode" : false
  } ],
  "getPSLayout" : {
    "childColMD" : 24,
    "columnCount" : 24,
    "layout" : "TABLE_24COL"
  },
  "getRemovePSControlAction" : {
    "modelref" : true,
    "id" : "remove",
    "actionName" : "Remove",
    "actionType" : "DEACTION",
    "dataAccessAction" : "DELETE",
    "name" : "remove",
    "getPSAppDEMethod" : {
      "modelref" : true,
      "id" : "Remove"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
    }
  },
  "tabHeaderPos" : "TOP",
  "getUpdatePSControlAction" : {
    "modelref" : true,
    "id" : "update",
    "actionName" : "Update",
    "actionType" : "DEACTION",
    "dataAccessAction" : "UPDATE",
    "name" : "update",
    "getPSAppDEMethod" : {
      "modelref" : true,
      "id" : "Update"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
    }
  },
  "noTabHeader" : false,
  "modelid" : "50A96F33-0D3B-429F-AA97-18EFBD4BD41A",
  "modeltype" : "PSDEFORM_EDITFORM"
}